var n=navigator;
var br0=n.appName.indexOf("Microsoft")!=-1&&parseInt(n.appVersion)>=4&&n.appVersion.indexOf("Macintosh")==-1; 
var br1=n.appName.indexOf("Microsoft")!=-1&&parseInt(n.appVersion)<4; 
var br2=n.appName.indexOf("Netscape")!=-1&&parseInt(n.appVersion)>=4&&parseInt(n.appVersion)<5; 
var br3=n.appVersion.indexOf("Macintosh")!=-1&&parseInt(n.appVersion)<5; 
var if_protocol=window.location.protocol;

if ( if_protocol == "https:" ) {
        var DataColl="https://networkcollect.realmedia.com/data/?";
} else {
        var DataColl="http://networkcollect.realmedia.com/data/?";
}
	
var if7=""; 
var if8="; path=/"; 
var ifb=new Date();
var CookieId="IFsess"; 
var w=window;
var d=document;

var agt=n.userAgent.toLowerCase();
var fullUrl=document.location;
var sPath = location.href;
if(sPath.indexOf("?") != -1) {
	var sFile1 = sPath.lastIndexOf( "/" ) + 1;
	var sFile2 = sPath.indexOf( "?" );
	var fu=sPath.substring(0,sFile2);
} else {
	var fu=document.location;
}

function cookie_check(ifd,ife){ var s=ife.indexOf(ifd);	if(s==-1)return ""; s+=ifd.length; var e=ife.indexOf(";",s); if(e==-1)e=ife.length; return ife.substring(s,e); } function iff(refUrl){ var index=refUrl.indexOf(":\/\/"); if(index!=-1&&index+3<refUrl.length) { var bDomainIndex=index+3; var eDomainIndex=refUrl.length; var colonIndex=refUrl.indexOf(":",bDomainIndex); if(colonIndex!=-1&&colonIndex<eDomainIndex)eDomainIndex=colonIndex; var slashIndex=refUrl.indexOf("/",bDomainIndex); if(slashIndex!=-1&&slashIndex<eDomainIndex)eDomainIndex=slashIndex; return document.domain==refUrl.substring(bDomainIndex,eDomainIndex); } return false; } function ifg(u1,u2){ var ifh=(u1.indexOf("https")==0); var ifi=(u2.indexOf("https")==0); if(ifh!=ifi)return false; else if(ifh&&ifi)return true; else return (u1.indexOf("http")==0)&&(u2.indexOf("http")==0); } function return_url(url) { return url.toString(); } function write_cookie() { var d=new Date(); var m=d.getTime(); document.cookie="IF_SessionCookie1="+m.toString(); var v=cookie_check("IF_SessionCookie1=",document.cookie); if(v!=m.toString())return false; d.setTime(m+3600000); document.cookie="IF_SessionCookie2="+m.toString()+";expires="+d.toGMTString()+";path=/"; v=cookie_check("IF_SessionCookie2=",document.cookie); if(v!=m.toString())return false; d.setTime(m-3600000); document.cookie="IF_SessionCookie1="+m.toString()+";expires="+d.toGMTString()+";path=/"; document.cookie="IF_SessionCookie2="+m.toString()+";expires="+d.toGMTString()+";path=/"; return true; } function tz(stamp) { var msg="if_nt_TimeZoneOffset="+(stamp.getTimezoneOffset()*-1); return msg; } 
function ifX(sys) { var msg=""; if((d.referrer)&&(d.referrer!="[unknown origin]")) { if(d.referrer.indexOf("?") == -1) {msg+="&tax23_RefDocLoc="+escape(return_url(d.referrer)); } 

} ifr(msg); w.ifsq+=1; w.d.cookie=CookieId+"="+w.ifsq.toString()+if8+if7; } 

function ifr(s) { var now=new Date(); var then=ifb.getTime(); var delta=now.getTime()-ifb.getTime(); if(w.ifw==null)w.ifw=tz(ifb); w.ifw+=s; } 

function grabMeta(){
	var myDocumentElements;
	if (document.all){
		myDocumentElements=document.getElementsByName("Keywords");
	}
	else if (document.documentElement){
		myDocumentElements=document.getElementsByName("Keywords");
	}

	//alert("myMeta.name is: " + myMeta.name);
	if (myMeta.name){
		var if_keyword_array=myMeta.content.split(",");
		var if_keyword_count=if_keyword_array.length;
		for (var i=0; i<if_keyword_count; i++) {
			mep1 += "&keyword=" + escape(if_keyword_array[i]);
		}
	}
//	alert ("mep1 is: " + mep1);
//	alert ("num of keywords is: " + if_keyword_count);

//	if (typeof(myDocumentElements)!="undefined"){
//		for (var i=1;i<=myDocumentElements.length;i++){
//			myMeta=myDocumentElements.item(i-1);
//			alert("myMeta.content is: " + myMeta.content);
//			alert("myMeta.name is: " + myMeta.name);
//			if (myMeta.name){
//				var if_keyword_array=myMeta.content.split(",");
//			}
//		}
//	}
}

//grabMeta();

function ifx(tx)
{
	var w=window;
	var d=document;
	if(d.ePingI==null||typeof(d.ePingI)=="undefined")d.ePingI=new Image();
		
	var mep2=mep1.replace(/ /g,"%20");
	tx+=mep2 + "&tax25_CookieAccept="+CA+"&tax0_SiteID="+if_sid+"&if_nt_URL=" + escape(fu);
	d.ePingI.src=DataColl+tx;
	return true;
}
if(!br1) { var ifW=0; var CA="N"; if(write_cookie())ifW=1; if(write_cookie())CA="Y"; var ifY=(top!=window); var ifw=null; var ifv=null; var ifu=false; var ifR=false; var ifZ8=cookie_check(CookieId+"=",document.cookie); if(typeof w.uniq=="undefined"||w.uniq==null) { w.uniq=true; ifu=true; } if(ifu) { w.CookieId=this.CookieId; w.ifid=""; w.ifsq=""; if(w.document.cookie!=null) { w.ifid=cookie_check(CookieId+"=",w.document.cookie); w.ifsq=parseInt(cookie_check(CookieId+"=",w.document.cookie)); } if(w.ifid=="") { w.ifsq=0; w.ifid="x"+ifb.getTime().toString(); w.ifid=w.ifid+Math.random().toString().substring(2,2+20-w.ifid.length); w.document.cookie=CookieId+"="+w.ifid+if8+if7; w.document.cookie=CookieId+"=0"+if8+if7; } } ifX(true); var msg=""; if(ifu&&!(ifv==null))msg+=ifv; if(!(ifw==null)) { msg+=ifw; ifx(msg); ifw=null; ifv=null; } }
